[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TDataSet.Active

Is the dataset open or closed.

## Declaration

Source position: db.pas line 1645

`public property TDataSet.Active : Boolean read GetActive write SetActive default False;`

## Description

Active is True if the dataset is open, and False if it is closed (TDataset.State is then dsInactive). Setting the Active property to True is equivalent to calling TDataset.Open, setting it to False is equivalent to calling TDataset.Close

## See also

TDataset.State |  | Current operational state of the dataset
TDataset.Open |  | Activate the dataset: Fetch data into memory.
TDataset.Close |  | Close the dataset

Documentation generated on: Feb 26 2014